using System;
using System.IO;

namespace Ordner_umbenennen
{
   class Program
   {
      [STAThread]
      static void Main(string[] args)
      {
         Console.Title = "Přejmenování složky";

         // Zu Demozwecken Ordner erzeugen
         Directory.CreateDirectory(@"C:\Temp\DemoFolder");

         // Ordner umbenennen
         string sourceDirName = @"C:\Temp\DemoFolder";  // Staré jméno
         string destDirName = @"C:\Temp\Demo Folder";   // Nové jméno

         try
         {
             // Přejmenování složky
            Directory.Move(sourceDirName, destDirName);

            Console.WriteLine("Složka úspěšně přejmenována");
         }
         catch (IOException ex)
         {
            Console.WriteLine("Chyba při přejmenování složky: " + ex.Message);
         }

         Console.WriteLine();
         Console.WriteLine("Stiskni Enter");
         Console.ReadLine();
      }
   }
}
